#ifndef STUDENTDATABASE_H
#define STUDENTDATABASE_H

#include <QMainWindow>
#include<QtSql/QSqlDatabase>
#include<QtSql/QSqlTableModel>
namespace Ui {
class Studentdatabase;
}

class Studentdatabase : public QMainWindow
{
    Q_OBJECT

public:
    explicit Studentdatabase(QWidget *parent = 0);
    ~Studentdatabase();
    QSqlTableModel *model;
    QSqlDatabase db;
    bool createDB(QString dbname);
    void setName(const QString n);
    void setRollNo(const QString p);
    void AddNewStudent(QString Name,QString Roll_No);
    void ViewDetails();

private slots:
    void on_pushButtonAdd_clicked();

    void on_pushButtonDelete_clicked();

    void on_pushButtonView_clicked();

private:
    Ui::Studentdatabase *ui;
};

#endif // STUDENTDATABASE_H
